using UnityEngine;

public abstract class Util  {
	private static int id = 0;

	public static int freshId() {
		return id++;
	}

	public static Color getColorFromValue(float value) {
		if (value < 0.2f) {
			return Color.red;
		}
		else if (value < 0.5f) {
			return new Color(1, 0.5f, 0.15f);
		}
		else if (value < 0.8f) {
			return Color.yellow;
		}
		else {
			return Color.green;
		}
	}
}
